Subject: Re: [Bugme-new] [Bug 16626] New: Machine hangs with EIP at skb_copy_and_csum_dev

From: Andrew Morton <[email-masked]>
Date: Thu, 19 Aug 2010 23:20:19 -0700

On Fri, 20 Aug 2010 09:12:10 +0300 Plamen Petrov <[email-masked]> wrote:

> With the "echo 100 > /proc/sys/kernel/printk_delay" command run by
> /etc/rc.d/rc.local, while still on 2.6.36-rc1-00127-g763008c, I got
> these:
> 
> [picture 4]
> http://picpaste.com/aa3e373e894179e8ba19587ed63d8104.jpg

bewdy, thanks.

        BUG_ON(csstart > skb_headlen(skb));

Hopefully that's enough for the net guys to work with.

> [picture 5]
> http://picpaste.com/9bc4bdc04f5a84fdaf49d6e1db23ede8.jpg
> 
> [picture 6]
> http://picpaste.com/da3ccd69a0a1221bb55f48b39c4ad950.jpg
> 
> Hope the above help.
> 
> And by the way, I think you are correct that this is a
> post-2.6.35 thing, because 2.6.35.2 was the first to give
> me this kind of problems, and I can confirm that 2.6.34
> does not have it, because the system was on 2.6.34.4 for
> the last 12 hours without problems, then just a moment ago
> crashed on 2.6.36-rc1-00127-g763008c, and now back on
> 2.6.34.4

OK.

> P.S. Shouldn't "echo 100 > /proc/sys/kernel/printk_delay" be
> somewhere on the "How to debug a crashing kernel guide"
> somewhere?

I only just thought of it ;)

I'm thinking perhaps that we should have a lines_after_oops boot
parameter which makes the console shut up N lines after someone called
oops_enter().